Updates to Tiers.
AcceptedPublic

Authored by jhb on Oct 2 2017, 5:34 PM.

Details

Reviewers
emaste
gnn
Group Reviewers
Core Team
Summary
  • Note that pc98 will move to Tier 4 in 12.
  • Replace 'Tinderbox' with 'tinderbox' to require only some sort of CI and not a specific implementation.
  • Add a new Tier 1 requirement with some noises about ABI.

This should possibly be split up into separate commits (or at least the
pc98 update should be standalone). I suspect that mips probably belongs in
Tier 2 at this point as well (it even has cross-built packages which is a
Tier 1 requirement).

I think some other points probably warrant clarity though:

  • I think we want to say that refX "machines" (can be emulator instances) are provided for all Tier-1 platforms in the cluster.
  • We don't currently say that releases must ship release bits (ISO images, VM images, FTP tarballs, SoC disk images, etc.) for any class of architectures. I think we should say that a release will ship some sort of release for all Tier-1 architectures.
  • Similarly, while we say that a Tier-1 architecture must support the packaging system, we don't commit to providing packages for all Tier-1 architectures.
  • We may wish to expand the note about cross-building packages for "embedded" architectures to permit cross-building of release bits as well.

In general though I think our Tiers probably cover embedded already.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 11845
Build 12183: arc lint + arc unit
jhb created this revision.Oct 2 2017, 5:34 PM
emaste accepted this revision as: emaste.Oct 2 2017, 5:51 PM
emaste added a subscriber: emaste.

LGTM as a first set of changes.

en_US.ISO8859-1/articles/committers-guide/article.xml
3915

Probably we should just say "continuous integration" support.

This revision is now accepted and ready to land.Oct 2 2017, 5:51 PM
bcr added a subscriber: bcr.Oct 2 2017, 6:41 PM

Typo fix

en_US.ISO8859-1/articles/committers-guide/article.xml
3951

s/Compatability/Compatibility/

jhb marked an inline comment as done.Oct 2 2017, 7:24 PM
jhb added inline comments.
en_US.ISO8859-1/articles/committers-guide/article.xml
3915

I'm happy to use whatever the right general term is. Perhaps CI is it (I almost used it), I was just worried that it was perhaps overly broad (and maybe it isn't that broad and CI is what we really want to say here). My goal is to just have this cover whatever "official" compile and runtime testing infrastructure the project uses.

3951

I think this paragraph probably needs a bit more thought. For example, I think we want to somehow be more broad than just stable branches. Changing i386 time_t to 64-bit without shims wouldn't fly due to Tier 1 (but was ok for Tier 2 for powerpc). Also, I had originally said "ABI breakage" and now it says "don't change the ABI" rather than "avoid breaking the ABI" when the latter is what I really want to say (I just want to say it in a way where that is a bit more concretely defined than "breaking the ABI")

emaste added inline comments.Oct 2 2017, 7:31 PM
en_US.ISO8859-1/articles/committers-guide/article.xml
3915

Maybe just "build and test automation" then? Maybe CI is too broad.

gnn accepted this revision as: gnn.Oct 3 2017, 4:55 AM
jhb marked an inline comment as done.Nov 13 2017, 9:36 PM
emaste added a comment.Dec 5 2017, 8:55 PM

We might need to start calling out arm, armv6, armv7 separately -- it may be that only armv7 becomes tier-1